com.jscape.inet.sftp

## Enum Sftp.DownloadFileOperation.TransferStrategy

- java.lang.Object
- - java.lang.Enum<Sftp.DownloadFileOperation.TransferStrategy>
  - - com.jscape.inet.sftp.Sftp.DownloadFileOperation.TransferStrategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Sftp.DownloadFileOperation.TransferStrategy>
  Enclosing class:
    Sftp.DownloadFileOperation

      public static enum Sftp.DownloadFileOperation.TransferStrategy
      extends java.lang.Enum<Sftp.DownloadFileOperation.TransferStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS_RESUME`
    `FROM_SCRATCH`
    `RESUME_AFTER_FIRST_ATTEMPT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `apply(Sftp.DownloadFileOperation operation)`
    `static Sftp.DownloadFileOperation.TransferStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Sftp.DownloadFileOperation.TransferStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FROM_SCRATCH

          public static final Sftp.DownloadFileOperation.TransferStrategy FROM_SCRATCH

    - #### ALWAYS_RESUME

          public static final Sftp.DownloadFileOperation.TransferStrategy ALWAYS_RESUME

    - #### RESUME_AFTER_FIRST_ATTEMPT

          public static final Sftp.DownloadFileOperation.TransferStrategy RESUME_AFTER_FIRST_ATTEMPT

  - ### Method Detail

    - #### values

          public static Sftp.DownloadFileOperation.TransferStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Sftp.DownloadFileOperation.TransferStrategy c : Sftp.DownloadFileOperation.TransferStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Sftp.DownloadFileOperation.TransferStrategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### apply

          public abstract void apply(Sftp.DownloadFileOperation operation)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved